Subject: [manet] Re: Address Autoconfiguration

From: "Mihail L. Sichitiu" <[email-masked]>
Date: Fri, 4 Jul 2003 13:47:47 -0400 (EDT)

Not my work, but I think that there exists an approach with very good
scalability, and not very well known. The idea is presented in detail in a
thesis of an MS student at U.T. Dallas in August 2002. The old link is
http://www.utdallas.edu/~mansi/, but it's not longer active.

The main idea, was first published (unpolished) by a student in Maryland
(his papers were references [12] and [13] in the thesis). Unfortunately I 
didn't see any publications following that thesis. It's a pity, the idea 
is very nice.

The main idea of the thesis (and original papers) is simple: each node in
the ad-hoc network acts like a DHCP server that has besides its IP address
a range of IP addresses that can offer. When a new node joins an already
existing node it offers an IP address and half of its IP addresses in its
care. The thesis takes care of other details like network merging and
partitioning, and address reclaiming.

Happy digging for that thesis.
Mihai

_______________________________________________________
Mihail L. Sichitiu
Assistant Professor,              Phone: (919) 515 7348
Dept. of ECE, Campus Box 7911     Fax:   (919) 515 5523
NC State University
Raleigh, NC 27695-7911   http://www4.ncsu.edu/~mlsichit
_______________________________________________________

> Hello,
>
> I'm looking for papers regarding IP address autoconfiguration.  So far 
> these are all I've located:
>
> IPv6 Stateless Address Autoconfiguration
> IPv6 Stateful Address Autoconfiguration
> draft-jeong-adhoc-ip-addr-autoconf-00.txt
> "Experience with Autoconfiguring a Network with IP-addresses" by 
> McAuley, Misra, Wong and Manousakis., 2001.
> "Providing internet access to mobile ad hoc networks" by Andreadis.
> "Autoconfiguration for IP Networking: Enabling Local Communciation" by 
> Guttman from IEEE Internet Computing, 2001.
> "MANETconf: Configuration of Hosts in a Mobile Ad Hoc Network" by 
> Nesargi and Prakash, 2002 IEEE.
> "IPv6 Autconfiguration in Large Scale Mobile Ad-Hoc Networks" by 
> Weniger and Zitterbart.
>
> Is there anything I'm missing, or does anyone know of newer versions 
> than the ones listed?   Anything even remotely related to Address 
> Autoconfiguration would be very appreciated.
>
> Thanks for your assistance,
>
> Ralph A. Preston
> The MITRE Corporation
> 202 Burlington Road  MS E095
> Bedford, MA 01730-1420
> http://www.mitre.org
>
>
>
>
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/manet

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet